libraw1394: version 2.0.4
Prev |  | Next

# raw1394_set_arm_tag_handler

## Name

raw1394_set_arm_tag_handler -- set the async request handler

## Synopsis

``arm_tag_handler_t raw1394_set_arm_tag_handler` (raw1394handle_t handle, arm_tag_handler_t new_h);`

## Arguments

`handle`

  libraw1394 handle

`new_h`

  pointer to new handler

## Description

Set the handler that will be called when an async read/write/lock arm_request arrived. The default action is to call the arm_callback in the raw1394_arm_reqhandle pointed to by arm_tag.

## Returns

old handler or NULL on failure (sets errno)

Prev | Home | Next
raw1394_set_tag_handler | Up | raw1394_set_fcp_handler